@import url("../../../template/template.css");

/* This file will hold styles for the exercises */
/*
#testForm li, #testForm ol, #testForm ul, #testForm table, #testForm tbody, #testForm tr, #testForm td, #testForm th {
    vertical-align: top;
}
*/

.first {
 	margin:0;
 	padding:0;
}

#mainmenu {
    z-index: 0;
}

.first ul li {
    border: none;
    color: #000000;
}

/* intro box - test_description */
#test_description {
	font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
	font-size: 1.8rem;
	color: #6e6e6e;
/* 	margin-top:15px; */
/* 	margin-bottom:25px; */
/* 	padding-top:10px; */
	padding-left:10px;
	padding-right:10px;
/* 	padding-bottom:25px; */
/* 	line-height: 25px; */
	border-bottom: 1px solid #999999;
}

/* lista domande */
ul.topic_group_test
{
	/* list-style-image:url('../img/punto-elenco.png'); */
	list-style:none;
}

/* Domande_principali */
.topic_test {
	margin: 0px 0px 20px;
	font-weight:bold;
	font-size:16px;
	font-family:'Helvetica Neue', Arial, Helvetica, sans-serif;
	padding-right:35px;
	border-bottom-width: 1px;
	border-bottom-style: dotted;
	border-bottom-color: #999999;
}

/* descrizione ed esempi delle domande */
.topic_test_description {
	font-weight:normal;
	font-family: 'Helvetica Neue', Arial, Helvetica, sans-serif;
	font-size: 14px;
	color: #6e6e6e;
	margin:20px 0px;
}

/* domande */
.question_test {
	margin: 5px 0px 10px;
	font-weight:normal;
	font-size:1.15rem;
	font-family:'Helvetica Neue', Arial, Helvetica, sans-serif;
}

/* indentazione domande */
.question_group_test {
	padding-left: 0px;
	list-style:none;
}

/* testo nelle form */
input {
	font-family:"Courier New", Courier, monospace;
	font-size: 12px;
}

.answer_likert_test {
	display:inline-block;
}

.answer_standard_test, .answer_standard_test {
	margin:5px 0px;
}

.extra_area_test {
	margin: 15px 0px 15px;
}

.tutor_comment_div {
	display: none;
}

.answer_group_test {
	margin: 15px 0px 25px;
	padding-left: 15px;
}

ul.answer_group_test {
	list-style:none;
	margin-bottom:45px;
}

.extra_answer_test {
	display:block;
	width:90%;
	height:75px;
}

.question_test {
	margin: 5px 0px 10px;
	font-weight:normal;
	font-size:1.15rem;
}

.submit_test {
	text-align:center;
}

.absoluteTimer {
	display:none;
	float:right;
	font-weight:bold;
	font-size:14px;
	border:1px solid #000000;
	padding: 5px;
}

.answer_cloze_select_synonym_test .answer_cloze_option_synonym_test {
	color:#2B5AD7;
	font-style: italic;
}

.fleft {
	float:left;
}

.fright {
	float:right;
}

.title_dragdrop {
	font-weight: bold;
	display:block;
	text-align:center;
	padding: 3px 5px;
}

/*
.divDragDropBox {
	padding: 5px;
	background-color: #FFFF99;
	border: 1px solid #E8E88B;
}
*/

.divDragDropBox, .multipleClozeDiv {
	padding: 5px;
	background-color: #DDDDDD;
    border-radius: 10px 10px 10px 10px;
    height: auto;
    margin-bottom: 10px;
    overflow: hidden;
}

.multipleClozeDiv
{
	text-align: center;
	display: inline-block;
}

.divDragDropBox.top {
	margin-bottom: 15px;
}

.divDragDropBox.left {
	float:left;
	margin-right:20px;
}

.divDragDropBox.right {
	float:right;
	margin-left:20px;
}

.divDragDropBox.left, .divDragDropBox.right {
	text-align: center;
	max-width:20%;
}

.divDragDropBox.bottom {
	margin-top:20px;
}

.multipleClozeDiv.top {
	margin-bottom: 15px;
}

.multipleClozeDiv.left {
	float:left;
	margin-right:20px;
}

.multipleClozeDiv.right {
	float:right;
	margin-left:20px;
}

.multipleClozeDiv.bottom {
	margin-top:20px;
}

.divDragDropBox.left .dragdropBox, .divDragDropBox.right .dragdropBox {
	width: auto;
}

.divDragDropBox.left .draggable, .divDragDropBox.right .draggable, .multiDragDropBox .draggable {
	display:list-item;
}

.textDragDropLeft, .textDragDropRight {
	max-width:75%;
	float:left;
}

.divDragDropBox .dragdropBox.sortable{
	border:none;
	width: 99%;
}

.sortable {
	list-style:none;
	display: inline-block;
	width: auto;
	min-height: 16px;
	min-width: 30px;
	border-bottom: 1px dashed #333333;
	padding: 0px;
	margin: 0px;
}

.answer_cloze_slot_test .sortable {
	min-width: 5px;
	border: 0;
}

.sortable.full {
	border-bottom: 0px;
	width: auto;
}

.draggable {
	padding: 0px;
	border: 1px solid #000000;
	display: inline-block;
	cursor:pointer;
}

.sortable.full .draggable {
	background-color: #DDDDDD;
}

.answer_cloze_multiple_test .sortable.full .draggable {
	background-color: transparent;
}

.sortable.full .draggable img {
	border: 3px solid #DDDDDD;
}

.answer_cloze_slot_test .sortable.full {
	padding: 0px 5px;
}

.answer_cloze_slot_test .sortable.full .draggable {
	padding: 0px;
}

.answer_cloze_multiple_test .sortable.full {
	min-width: 0px;
	border-bottom: 0px;
}

.multipleClozeTable .sortable {
	border-bottom: 0px;
	width: 100%;
	padding: 0px;
	height: auto;
	text-align: center;
}

.multipleClozeTable .sortable .draggable {
	text-align: center;
}

.multipleClozeTable .sortable .drop-highlight {
	width: 100% !important;
}

.dragdropBox .draggable.target, .draggable.target {
	cursor: crosshair;
	background: rgba(249, 249, 249, 0.4);
	border: 1px solid #BFBFBF;
}

.dragdropBox .draggable.target img, .draggable.target img {
	opacity:0.4;
	filter:alpha(opacity=40); /* For IE8 and earlier */
}

.dragdropBox .draggable {
	height: auto;
	padding: 3px;
	margin: 5px 1px;
	background-color: #F9F9F9;
 	vertical-align: top;
	border:1px dotted #000000;
	padding: 5px;
}

.drop-highlight {
	min-height: 16px;
	width: auto;
	background-color: #DAFC8F;
	display:inline-block;
}

input.wrong_answer_test, select.wrong_answer_test {
	border: 1px solid #d51801;
}

input.right_answer_test, select.right_answer_test {
	border: 1px solid #0b942e;
}

.wrong_answer_test {
	font-weight: bold;
	color: #d51801;
}

.right_answer_test {
	font-weight: bold;
	color: #0b942e;
}

.bold {
	font-weight: bold;
}

.bold img {
	border: 3px solid #000000;
}

.wrong_answer_test_bg, .wrong_answer_test img {
	background-color: #d51801;
	border: 3px solid #d51801;
}

.right_answer_test_bg, .right_answer_test img {
	background-color: #0b942e;
	border: 3px solid #0b942e;
}

.rating_question_test {
	float: right;
	padding-right: 5px;
}

.answer_dragdrop_test {
	display: inline-block;
	width: auto;
}

.answer_dragdrop_test.empty_answer_test {
	border-bottom: 1px dotted #333333;
    display: inline-block;
	min-height:16px;
	min-width:30px;
}

.answer_dragdrop_test.empty_answer_test.wrong_answer_test {
	background-color: #d51801;
}

.answer_slot_test {
	display: inline-block;
	min-height: 16px;
	min-width: 30px;
	width: auto;
}

.answer_slot_test.right_answer_test {
	color: #0b942e;
}

.answer_slot_test.wrong_answer_test {
	color: #d51801;
}

.answer_slot_test.empty_answer_test {
	background-color: #d51801;
}

#test_info {
	margin-bottom: 5px;
}

#ul_test_info {
	padding:0;
	margin:0;
}

.li_test_info {
	display:inline-block;
	list-style:none;
	margin: 5px;
}

.admin_link {
	font-size: 1rem;
	margin: 5px 0px;
	background: lightgrey;
    padding: 4px;
}
.admin_link span {
	font-size: 1rem;
}
.topic_test .admin_link {
	font-weight: normal;
}

.clear {
	clear:both;
}

.answer_cloze_test {
	position: relative;
	height: auto;
}

.open_answer_test {
	width:48%;
	height:100px;
}

.open_answer_test_image {
	max-width: 250px;
	max-height: 250px;
}

.file_upload_test {
	margin-bottom: 15px;
}

.ajaxloading {
	background: url('../img/ajax-loader.gif') no-repeat center center;
}

#divLoading {
	background: url('../img/ajax-loader.gif') no-repeat center center;
	display: hidden;
}

.clozePopup {
	cursor: pointer;
	background: url('../img/pencil.png');
	width:16px;
	height:16px;
	display:inline-block;
	vertical-align: middle;
}

.erase_variation_test, .highlight_variation_test {
	float: left;
	margin-right: 15px;
}

.erase_variation_test input, .highlight_variation_test input {
	display: none;
}

.answer_group_test label, .answer_erase_item_test {
	cursor: pointer;
}

.erase_variation_test label.clicked, .answer_cloze_erase_test .answer_erase_item_test.clicked {
	text-decoration: line-through;
}

.answer_cloze_erase_test .answer_erase_item_test.clicked img {
	border: 3px solid #d51801;
}

.highlight_variation_test label.clicked, .answer_cloze_highlight_test .answer_erase_item_test.clicked {
	background-color: #eaff00;
}

.answer_cloze_highlight_test .answer_erase_item_test.clicked img {
	border: 3px solid #eaff00;
}

.tutor_comment_test {
	font-weight: bold;
	cursor: pointer;
}

.extra_area_test tutor_comment_div {
	margin-bottom: 10px;
}

#score_test {
	margin: 5px;
	font-weight: bold;
	text-align: center;
}

#return_link {
	margin: 5px;
	font-weight: bold;
	text-align: center;
}

.multipleClozeTable {
	border-collapse: collapse;
}

.multipleClozeTable th,
.multipleClozeTable td {
	vertical-align: middle !important;
	border: 1px solid #DFDFDF;
	min-width: 75px;
	min-height: auto;
	text-align: center !important;
	color: #000;
	padding: 3px;
}

.multipleClozeTable th {
	font-weight: bold !important;
}

.multipleClozeTable th.empty {
	border: 0px;
	padding: 0px;
	width: 0px;
	min-width: 0px;
	height: 0px;
	min-height: 0px;
}

.multipleClozeTable thead {
	height: auto;
}

.multipleClozeTable td div {
	text-align: center;
	margin: 0 auto;
}

.thVert {
	background: #ECECEA;
}

.radio_liker_test {
	margin-top: 2px;
	vertical-align:top;
}
/* AGGIUNTE ENRICO */
ul.topic_group_test {
	width: 70%;
	display: block;
	margin: 40px auto;
}
ul.topic_group_test {
	text-align: center;
}
.file_upload_test label {
	width: 5vw;
}
.file_upload_test textarea {
	font-size: 1.15rem !important;
}
/* AGGIUNTE ENRICO */

.question_test_description {
	font-weight: 700;
}